#!/usr/bin/env ruby

require 'rexml/document'
include REXML

option_list=""
script_name_list=""
script_number=0

Dir.chdir("/karma/scripts")
Dir.entries("./").each{|file|
#	print "file ", file, " is " , File.executable?(file), " - ", File.owned?(file),"-",File.ftype(file),"\n"
	if (File.executable?(file) && File.ftype(file) == "file"):
		xml=%x[./#{file} --get_xml]
		config = Document.new(xml)

# Need to check that elements exist before reading them

		information=config.root.elements["information"]

		module_name=information.elements["name"].text
		module_dropdown_text=information.elements["dropdown"].text
		module_description=information.elements["description"].text

		option_list<<'<option value="'+script_number.to_s+'">'+module_name+"</option>\n"
		script_name_list<<file+"\n"
		script_number+=1
	end
}

script_name_list_file=File.new("/tmp/script_name_list", "w")
script_name_list_file.print script_name_list
script_name_list_file.close

option_list_file=File.new("/tmp/script_option_list", "w")
option_list_file.print option_list
option_list_file.close
