#!/usr/bin/env ruby

if(ARGV.size==1 && ARGV[0]=="--get_xml"):
	xml="
	<package>
		<information>
			<name>Echo</name>
			<dropdown>Echo</dropdown>
			<description>Echo back the arguments passed in</description>
		</information>
	</package>"

	puts xml
	exit
end

output=Time.now.strftime("%b %d %H:%M:%S")+": Echo script, echoing....\n"
if(ARGV.size>=2)
	output<<"MAC address="+ARGV[0]+"\n"
	output<<"SSID="+ARGV[1]+"\n"
end
if(ARGV.size>=3)
	output<<"IP Address="+ARGV[2]+"\n"
end
output<<"Echo done"

log=File.new("/tmp/status.log","a")
log.puts output
log.close
